#include <iostream>
#include <list>
#include <string>


using namespace std;

void affiche(list<string> liste) {
    list<string>::iterator doigt;

    for ( doigt = liste.begin() ; doigt != liste.end() ; ++doigt ) {
        cout << * doigt << endl;
    }

    for ( auto str : liste)
        cout << str << endl;
}

int main()
{
    list<string> liste;
    liste.push_back("lapin");
    affiche(liste);

    return 0;
}
